## dicomnifti 2.28.11

=== CMakeLists.txt ===
# Define project name and identify as C++
PROJECT(DINIFTI CXX C)

# Configure man dir (but hide option for regular user)
SET( DINIFTI_MAN_DIR man/man1 CACHE PATH "Directory where manpages will be installed." )
MARK_AS_ADVANCED( DINIFTI_MAN_DIR )

# Configure toplevel directories
SET( PREFIX     ${CMAKE_INSTALL_PREFIX} CACHE PATH "Top level.")
SET( INCLUDEDIR ${PREFIX}/include       CACHE PATH "Include files.")
SET( LIBDIR     ${PREFIX}/lib           CACHE PATH "Libraries.")

# Configure CTN
FIND_PATH( DINIFTI_CTN_INCLUDE dicom.h 
           PATHS ${INCLUDEDIR}
           PATH_SUFFIXES ctn
           DOC "Path to the CTN headers." )
FIND_LIBRARY( DINIFTI_CTN_LIB ctn 
              PATHS ${LIBDIR}
              PATH_SUFFIXES ctn
              DOC "Location of the CTN library." )

# Configure NIfTI (+ znzlib)
FIND_PATH( DINIFTI_NIFTIIO_INCLUDE nifti1.h 
           PATHS ${INCLUDEDIR}
           PATH_SUFFIXES nifti niftilib libnifti
           DOC "Path to the NIfTIio library headers." )
FIND_PATH( DINIFTI_ZNZ_INCLUDE znzlib.h 
           PATHS ${INCLUDEDIR} 
           PATH_SUFFIXES znz znzlib libznz nifti libnifti niftilib
           DOC "Path to the znzlib headers." )
FIND_LIBRARY( DINIFTI_NIFTIIO_LIB niftiio
              PATHS ${LIBDIR}
              PATH_SUFFIXES nifti libnifti niftilib
              DOC "Location of the NIfTIio library." )
FIND_LIBRARY( DINIFTI_ZNZ_LIB znz
              PATHS ${LIBDIR}
              PATH_SUFFIXES znz libznz znzlib
              DOC "Location of the znz library." )

# platform dependent stuff
INCLUDE( TestBigEndian )
TEST_BIG_ENDIAN(DINIFTI_IS_BIG_ENDIAN)

IF(DINIFTI_IS_BIG_ENDIAN)
  # do whatever is necessary if system if big endian
  ADD_DEFINITIONS( -DARCHITECTURE=BIG_ENDIAN_ARCHITECTURE )

ELSE(DINIFTI_IS_BIG_ENDIAN)
  # for the little ones
  ADD_DEFINITIONS( -DARCHITECTURE=LITTLE_ENDIAN_ARCHITECTURE )

ENDIF(DINIFTI_IS_BIG_ENDIAN)

IF(APPLE)
  # put MacOS X specific configuration here
  ADD_DEFINITIONS( -DOSX -DOS=OSX )
ELSEIF(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
  # put Linux/Unix specific stuff here
  ADD_DEFINITIONS( -DLINUX -DOS=LINUX )
ENDIF(APPLE)

ADD_DEFINITIONS( -DHAVE_ZLIB )

INCLUDE(CheckTypeSize)
CHECK_TYPE_SIZE(short SHORTSIZE)
ADD_DEFINITIONS( -DSHORTSIZE=${SHORTSIZE}*8)
CHECK_TYPE_SIZE(int INTSIZE)
ADD_DEFINITIONS( -DINTSIZE=${INTSIZE}*8)
CHECK_TYPE_SIZE(long LONGSIZE)
ADD_DEFINITIONS( -DLONGSIZE=${LONGSIZE}*8)

# add all include paths
INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/include 
                     ${DINIFTI_CTN_INCLUDE} 
                     ${DINIFTI_NIFTIIO_INCLUDE} )


# Configure default install path
IF( NOT DEFINED BINDIR )
  SET( BINDIR ${PREFIX}/bin CACHE PATH "Where the executable goes.")
ENDIF( NOT DEFINED BINDIR )

# dinifti
ADD_EXECUTABLE(dinifti src/dinifti.cc src/dicomInfo.cc src/niftiout.cc)
TARGET_LINK_LIBRARIES( dinifti ${DINIFTI_CTN_LIB}
                               ${DINIFTI_NIFTIIO_LIB}
                               ${DINIFTI_ZNZ_LIB} 
				z )

# dicomhead
ADD_EXECUTABLE(dicomhead src/dicomhead.cc src/dicomInfo.cc)
TARGET_LINK_LIBRARIES( dicomhead ${DINIFTI_CTN_LIB} )

# Optional "OPTIMIZED" and "DEBUG" modes

IF(OPTIMIZED)
  ADD_DEFINITIONS( -O )
  SET_TARGET_PROPERTIES( dinifti dicomhead PROPERTIES LINK_FLAGS -O )
ENDIF(OPTIMIZED)

IF(DEBUG)
  IF(APPLE)
    ADD_DEFINITIONS(-g)
    SET_TARGET_PROPERTIES( dinifti dicomhead PROPERTIES LINK_FLAGS -g )
  ELSEIF(${CMAKE_SYSTEM_NAME} STREQUAL "Linux")
    ADD_DEFINITIONS(-ggdb)
    SET_TARGET_PROPERTIES( dinifti dicomhead PROPERTIES LINK_FLAGS -ggdb )
  ENDIF(APPLE)
ENDIF(DEBUG)

# configure where to install binaries
INSTALL(TARGETS dinifti dicomhead
    RUNTIME DESTINATION ${BINDIR} COMPONENT RuntimeLibraries )

# install manpages
FILE( GLOB DINIFTI_MANPAGES "man/*.1" )
INSTALL( FILES ${DINIFTI_MANPAGES} DESTINATION ${DINIFTI_MAN_DIR} )

## dicomnifti 2.28.14

=== debian/changelog ===
dicomnifti (2.28.14-2) unstable; urgency=low

  * Changed maintainer to NeuroDebian Team.
  * Switch from plain debhelper to 'dh'.
  * Convert source package format to 3.0 (quilt).
  * Bumped Standards-version to 3.9.0, no changes necessary.
  * Add patch to prevent unnecessary package dependency in zlib.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 20 Jul 2010 17:12:46 -0400

dicomnifti (2.28.14-1) unstable; urgency=low

  * New upstream version.
  * Updated Debian Standards-version to 3.8.1 (no changes necessary).
  * Added 'XS-DM-Upload-Allowed: yes' to debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 08 Apr 2009 12:12:07 +0200

dicomnifti (2.28.11-1) unstable; urgency=low

  * New upstream version. Fix for GCC 4.3 compatibility (Closes: #462074).

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 24 Jan 2008 19:43:26 +0100

dicomnifti (2.28.10-2) unstable; urgency=low

  * Modified build-deps for libnifti transition.
  * Bumped Standards-version to 3.7.3, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 03 Jan 2008 12:09:30 +0100

dicomnifti (2.28.10-1) unstable; urgency=low

  * New Upstream Version.
  * Remove patch to prevent fixed sizes for 'int' and 'long' as upstream
    switched to determine this with CMake dynamically (although it is still
    not necessary for Debian's CTN library).

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 30 Nov 2007 10:59:00 +0100

dicomnifti (2.28.8-1) unstable; urgency=low

  * New Upstream Version. Fixes a bug where dinifti did not respect the users
    choice of number of slices (option -s).

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 11 Nov 2007 11:20:07 +0100

dicomnifti (2.28.7-1) unstable; urgency=low

  * New Upstream Version. Changed license to a 3-clause BSD license.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 07 Nov 2007 09:38:35 +0100

dicomnifti (2.28.5-2) unstable; urgency=low

  * Updated Homepage info in debian/control using the new 'Homepage' field.
  * Added VCS info to debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 18 Oct 2007 20:22:40 +0200

dicomnifti (2.28.5-1) unstable; urgency=low

  * New Upstream Version. Allows for custom naming schemes of image series.
    (Closes: #446260)

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 16 Oct 2007 00:46:55 +0200

dicomnifti (2.28.4-1) unstable; urgency=low

  * New Upstream bugfix release.
  * Siemens Vision: fails to read the number of slices, now defaults 1
    and user can override this with the '-s' option (Closes: #442013).
  * GE Elscint: fails to read series' description, only needed with
     '-d' flag. Now defaults to ""
  * Build-depend on libniftiio1-dev by default.

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 17 Sep 2007 10:38:18 +0200

dicomnifti (2.28.2-1) unstable; urgency=low

  * New upstream release. NIfTI header value 'nu' is now always set to one
    instead of the number of channels reported in the DICOMs.
  * Updated upstream URL in manpages.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 12 Sep 2007 14:08:57 +0200

dicomnifti (2.28-1) unstable; urgency=low

  * New upstream release. Upstream switched from custom makefiles to
    CMake-based build system.
  * Converted NIfTI files now contain SPM5-like acquisition information.
    (Closes: #431591)
  * Bugfix: Wrong origin when converting sagital images (e.g. Siemens MPRAGE).
    (Closes: #431652)
  * Binaries are now build with -Wall -g -O2 by default (as it should be).
  * debian/rules honours DEB_BUILD_OPTIONS='noopt' and sets -O0 accordingly.
  * Removed dpatch build-dependency in favor of Git.
  * Fixed member init order in dicomInfo class.

 -- Michael Hanke <michael.hanke@gmail.com>  Sun, 15 Jul 2007 20:59:07 +0200

dicomnifti (2.27-1) unstable; urgency=low

  * New upstream release. Fix image pixel location (half-pixel shift) to
    properly convert Siemens DICOMs.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 24 May 2007 06:45:08 +0200

dicomnifti (2.26.1-1) unstable; urgency=low

  * New upstream release.
  * Merged all non-Debian-specific patches with upstream. This also fixes the
    pending GCC 4.3 header issue that should have been fixed by the last
    upload, but wasn't as the included patch was disabled by mistake.
    (Closes: #417157)
  * Fixed bug: wrong header information (dimensions, etc) (Closes: #420019)

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 25 Apr 2007 18:25:23 +0200

dicomnifti (2.25-2) unstable; urgency=low

  * Added patch to check for duplicate image series names. dinifti now
    modifies the series name and issues a warning instead of silently
    overwriting the file.
  * Added patch to add a --noact option to be able to quickly inspect the
    content of a DICOM directory without having to actually write the NIfTI
    files.
  * Documented the new behavior and options in the manpage.
  * Added patch to fix a missing header dependency which would result in a
    FTBFS with the coming GCC 4.3. Thanks to Martin Michlmayr for providing
    the patch. (Closes: #417157)

 -- Michael Hanke <michael.hanke@gmail.com>  Thu,  5 Apr 2007 15:27:38 +0200

dicomnifti (2.25-1) unstable; urgency=low

  * New upstream release. Fixes a bug when converting MOSAIC images with a
    rectangular FOV.

 -- Michael Hanke <michael.hanke@gmail.com>  Sat, 17 Mar 2007 07:47:01 +0100

dicomnifti (2.24-1) unstable; urgency=low

  * New upstream release. Fixes a problem when converting DICOMs from 3T GE
    scanners.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 22 Feb 2007 08:11:08 +0100

dicomnifti (2.23-1) unstable; urgency=low

  * New upstream release. Fixes a bug that caused dinifti to crash if not all
    DICOMs of an image series are available.
  * Merged most patches with upstream. Thanks to Valerio Luccio.
  * Added an additional space to the Homepage field in debian/control.
  * Updated debian/copyright (year in the copyright statement).



=== debian/control ===
Source: dicomnifti
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), ctn-dev (>> 3.0.6-9), libnifti-dev, cmake, zlib1g-dev
Standards-Version: 3.9.0
Homepage: http://cbi.nyu.edu/software/dinifti.php
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/dicomnifti.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/dicomnifti.git
XS-DM-Upload-Allowed: yes

Package: dicomnifti
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: converts DICOM files into the NIfTI format
 The dinifti program converts MRI images stored in DICOM format to NIfTI
 format. The NIfTI format is thought to be the new standard image format for
 medical imaging and can be used with for example with FSL, AFNI, SPM, Caret
 or Freesurfer.
 .
 dinifti converts single files, but also supports fully automatic batch
 conversions of complete dicomdirs. Additionally, converted NIfTI files can
 be properly named, using image series information from the DICOM files.

## dicomnifti 2.28.15

=== debian/changelog ===
dicomnifti (2.28.15-1) unstable; urgency=low

  * New upstream release.
  * Updated maintainer email address.
  * Bumped Standards-version to 3.9.1, no changes necessary.
  * Add lintian override regarding outdated autotools files. The package only
    uses cmake to build the binaries.

 -- Michael Hanke <mih@debian.org>  Tue, 18 Jan 2011 17:21:08 -0500

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: science
 Priority: optional
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
-Uploaders: Michael Hanke <michael.hanke@gmail.com>, Yaroslav Halchenko <debian@onerussian.com>
+Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), ctn-dev (>> 3.0.6-9), libnifti-dev, cmake, zlib1g-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://cbi.nyu.edu/software/dinifti.php
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/dicomnifti.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/dicomnifti.git

## dicomnifti 2.28.16

=== debian/changelog ===
dicomnifti (2.28.16-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-version to 3.9.2, no changes necessary.
  * Updated debian/copyright.

 -- Michael Hanke <mih@debian.org>  Mon, 15 Aug 2011 13:01:47 +0200

## dicomnifti 2.29.1

=== debian/changelog ===
dicomnifti (2.29.1-1~nd50+1) lenny; urgency=low

  * Backported for lenny.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Mon, 24 Oct 2011 05:13:47 -0400

dicomnifti (2.29.1-1) unstable; urgency=low

  * New upstream release.

 -- Michael Hanke <mih@debian.org>  Mon, 24 Oct 2011 11:08:54 +0200

## dicomnifti 2.30.0

=== debian/changelog ===
dicomnifti (2.30.0-1~nd10.04+1) lucid; urgency=low

  * Backported for lucid.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 01 Apr 2012 14:50:39 -0400

dicomnifti (2.30.0-1) unstable; urgency=low

  * New upstream release. Output NIfTI images now have slope and intercept
    set accordingly in their headers.

 -- Michael Hanke <mih@debian.org>  Sun, 01 Apr 2012 20:14:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: dicomnifti
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~), ctn-dev (>> 3.0.6-9), libnifti-dev, cmake, zlib1g-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://cbi.nyu.edu/software/dinifti.php
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/dicomnifti.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/dicomnifti.git
@@ -12,7 +13,7 @@
 
 Package: dicomnifti
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends}
 Description: converts DICOM files into the NIfTI format
  The dinifti program converts MRI images stored in DICOM format to NIfTI
  format. The NIfTI format is thought to be the new standard image format for

## dicomnifti 2.31.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+cmake_minimum_required(VERSION 2.6)
+if(COMMAND cmake_policy)
+  cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
 # Define project name and identify as C++
 PROJECT(DINIFTI CXX C)

=== debian/changelog ===
dicomnifti (2.31.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped debhelper comput level to 9 to enable hardening.
  * Bumped Standards-version to 3.9.4, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Mon, 29 Jul 2013 20:38:02 +0200

=== debian/control ===
Source: dicomnifti
Section: science
Priority: optional
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9~), ctn-dev (>> 3.0.6-9), libnifti-dev, cmake, zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://cbi.nyu.edu/software/dinifti.php
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/dicomnifti.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/dicomnifti.git

Package: dicomnifti
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: converts DICOM files into the NIfTI format
 The dinifti program converts MRI images stored in DICOM format to NIfTI
 format. The NIfTI format is thought to be the new standard image format for
 medical imaging and can be used with for example with FSL, AFNI, SPM, Caret
 or Freesurfer.
 .
 dinifti converts single files, but also supports fully automatic batch
 conversions of complete dicomdirs. Additionally, converted NIfTI files can
 be properly named, using image series information from the DICOM files.

## dicomnifti 2.32.1

=== debian/changelog ===
dicomnifti (2.32.1-1) unstable; urgency=medium

  * New upstream release.
  * Bumped Standards-version to 3.9.5, no changes necessary.

 -- Michael Hanke <mih@debian.org>  Thu, 02 Oct 2014 12:57:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 9~), ctn-dev (>> 3.0.6-9), libnifti-dev, cmake, zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://cbi.nyu.edu/software/dinifti.php
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/dicomnifti.git
 Vcs-Git: git://git.debian.org/git/pkg-exppsy/dicomnifti.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# default CMake flags:
# set manpage install dir to temp directory -- manpages will be installed
# by dh_installman
CMAKE_FLAGS = -DDINIFTI_MAN_DIR:PATH=../../tmp/manpages

# one ring to rule them all ...
%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

## dicomnifti 2.33.1

=== debian/changelog ===
dicomnifti (2.33.1-5) unstable; urgency=medium

  * Team upload.
  * d/t/control : disable tests on s390,i386 (Closes: #1013364).

 -- Mohammed Bilal <mdbilal@disroot.org>  Wed, 20 Jul 2022 19:14:05 +0530

dicomnifti (2.33.1-4) unstable; urgency=medium

  * Team upload.
  * Add autopkgtests
  * Install examples

 -- Mohammed Bilal <mdbilal@disroot.org>  Mon, 30 May 2022 13:54:03 +0530

dicomnifti (2.33.1-3) unstable; urgency=medium

  * Team upload.
  * DEP5 copyright
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 10 Nov 2021 17:35:03 +0100

dicomnifti (2.33.1-2) unstable; urgency=low

  * Team upload

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.

  [ Andreas Tille ]
  * Move package to Debian Med team
  * Build-Depends: s/libnifti-dev/libnifti2-dev
  * Remove default debian/gbp.conf
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Enable dh_missing --fail-missing
  * Remove invalid lintian-override

 -- Andreas Tille <tille@debian.org>  Mon, 07 Dec 2020 15:14:41 +0100

dicomnifti (2.33.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Wed, 26 Sep 2018 10:55:46 +0200

=== debian/control ===
Source: dicomnifti
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libnifti2-dev,
               ctn-dev,
               cmake,
               zlib1g-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/dicomnifti
Vcs-Git: https://salsa.debian.org/med-team/dicomnifti.git
Homepage: http://cbi.nyu.edu/software/dinifti.php
Rules-Requires-Root: no

Package: dicomnifti
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: converts DICOM files into the NIfTI format
 The dinifti program converts MRI images stored in DICOM format to NIfTI
 format. The NIfTI format is thought to be the new standard image format for
 medical imaging and can be used with for example with FSL, AFNI, SPM, Caret
 or Freesurfer.
 .
 dinifti converts single files, but also supports fully automatic batch
 conversions of complete dicomdirs. Additionally, converted NIfTI files can
 be properly named, using image series information from the DICOM files.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# default CMake flags:
# set manpage install dir to temp directory -- manpages will be installed
# by dh_installman
CMAKE_FLAGS = -DDINIFTI_MAN_DIR:PATH=../../tmp/manpages \
              -DDINIFTI_CTN_INCLUDE=/usr/include/ctn \
              -DDINIFTI_CTN_LIB=/usr/lib/ctn/libctn.a

# one ring to rule them all ...
%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_FLAGS)

=== debian/watch ===
version=4
http://cbi.nyu.edu/Downloads/DICOMNIfTI.([\d\.]+)\.tar\.gz
